import { MultiSelectDrawerProps } from '../CustomDrawers/MultiSelectDrawer/MultiSelectDrawer';
import { TextEditDrawerProps } from '../CustomDrawers/TextEditDrawer/TextEditDrawer';
import { ReactNode } from 'react';
import { DrawerProps } from './Drawer';
export type BaseDrawerProps = {
    onClose?: () => void;
};
type TextEditDrawerOptions = Omit<TextEditDrawerProps, 'onClose'>;
type MultiSelectDrawerOptions = Omit<MultiSelectDrawerProps, 'onClose'>;
declare class DrawerServiceClass {
    private drawerId;
    openTextEditDrawer(textEditDrawerOptions: TextEditDrawerOptions, drawerOptions?: DrawerProps): void;
    openMultiSelectDrawer(multiSelectDrawerOptions: MultiSelectDrawerOptions, drawerOptions?: DrawerProps): void;
    open(component: ReactNode, options?: DrawerProps): string;
    close(drawerId: string): void;
    closeLast(): void;
}
export declare const DrawerService: DrawerServiceClass;
export {};
